spandsp: t31_t38_front_end_state_t Struct Reference

spandsp 0.0.6

t31_t38_front_end_state_t Struct Reference

`#include <t31.h>`

## Public Attributes
int | iaf
| Internet Aware FAX mode bit mask.
int | ms_per_tx_chunk
| Required time between T.38 transmissions, in ms.
int | chunking_modes
| Bit fields controlling the way data is packed into chunked for transmission.
t38_core_state_t | t38
| Core T.38 IFP support.
int | timed_step
| The current transmit step being timed.
int | rx_data_missing
| TRUE is there has been some T.38 data missed.
int | octets_per_data_packet
| The number of octets to send in each image packet (non-ECM or ECM) at the current rate and the current specified packet interval.
hdlc_tx_state_t | hdlc_tx_term
| An HDLC context used when sending HDLC messages to the terminal port (ECM mode support).
hdlc_rx_state_t | hdlc_rx_term
| An HDLC context used when receiving HDLC messages from the terminal port. (ECM mode support).
struct { |
uint8_t buf [T31_T38_MAX_HDLC_LEN] |
int len |
} | hdlc_rx
struct { |
int extra_bits |
| The number of extra bits in a fully stuffed version of the contents of the HDLC transmit buffer. This is needed to accurately estimate the playout time for this frame, through an analogue modem.
} | hdlc_tx
int | ecm_mode
| TRUE if we are using ECM mode. This is used to select HDLC faking, necessary with clunky class 1 modems.
int | non_ecm_trailer_bytes
| Counter for trailing non-ECM bytes, used to flush out the far end's modem.
int | next_tx_indicator
| The next queued tramsit indicator.
int | current_tx_data_type
| The current T.38 data type being transmitted.
int | current_rx_type
| The current operating mode of the receiver.
int | current_tx_type
| The current operating mode of the transmitter.
int | tx_bit_rate
| Current transmission bit rate.
int32_t | samples
| A "sample" count, used to time events.
int32_t | next_tx_samples
| The value for samples at the next transmission point.
int32_t | timeout_rx_samples
| The current receive timeout.

## Detailed Description

Analogue FAX front end channel descriptor. This defines the state of a single working instance of an analogue line FAX front end.

The documentation for this struct was generated from the following file:

- private/t31.h